%global debug_package %nil

Name:           buildbox-common
Version:        0.0.8
Release:        1%{?dist}
Summary:        Various helper functions for BuildBox

License:        Apache-2.0
URL:            https://gitlab.com/BuildGrid/buildbox/buildbox-common
Source0:        %{url}/-/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  openssl-devel
BuildRequires:  pkgconfig(protobuf) >= 3.5
BuildRequires:  pkgconfig(grpc++) >= 1.10
BuildRequires:  grpc-plugins
BuildRequires:  pkgconfig(uuid)
BuildRequires:  gtest-devel
BuildRequires:  gmock-devel

%description
buildbox-common is a library containing code used by multiple parts of BuildBox
and recc. Its API is unstable and it should not be used by other applications.



%package        devel
Summary:        Development files for %{name}

%description    devel
buildbox-common is a library containing code used by multiple parts of BuildBox
and recc. Its API is unstable and it should not be used by other applications.

This package contains development files and headers for %{name}.


%prep
%autosetup
sed 's|DESTINATION lib|DESTINATION %{_lib}|g' -i CMakeLists.txt


%build
export CFLAGS="%{optflags} \
-Wno-error=format-security \
"
export CXXFLAGS="$CFLAGS"

mkdir %{_vpath_builddir}
pushd %{_vpath_builddir}
%cmake -GNinja ..
popd

%ninja_build -C %{_vpath_builddir}


%install
%ninja_install -C %{_vpath_builddir}


%files devel
%license LICENSE
%doc README.rst
%{_includedir}/buildbox
%{_libdir}/cmake/BuildboxCommon
%{_libdir}/libbuildboxcommon.a


%changelog
* Mon May 25 2020 gasinvein <gasinvein@gmail.com> - 0.0.8-1
- new version

* Sun Mar  1 2020 gasinvein <gasinvein@gmail.com>
- Initial package
